<?php

/**
 *
 * @package    symfony
 * @subpackage plugin
 * @author     davert
 */
class sfBugTrackerRouting
{
  /**
   * Listens to the routing.load_configuration event.
   *
   * @param sfEvent An sfEvent instance
   * @static
   */
  static public function listenToRoutingLoadConfigurationEvent(sfEvent $event)
  {
    $r = $event->getSubject();

    // preprend our routes
    $r->prependRoute('bug_report', new sfRoute('/bugreport', array('module' => 'bugTracker', 'action' => 'bugReport')));
    $r->prependRoute('proxy', new sfRoute('/proxy', array('module' => 'bugTracker', 'action' => 'proxy')));
    // activation
  }
}
